<xsd:schema targetNamespace="http://genmapp.org/GPML/2008a"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
	xmlns:gpml="http://genmapp.org/GPML/2008a"
	elementFormDefault="qualified"
	>

	<xsd:annotation>
		<xsd:documentation xml:lang="en">GenMAPP version 2.0 Pathway Schema
			version 1.0   All graphics measurements are in
			centimeters.</xsd:documentation>
	</xsd:annotation>


	<!-- Type Definitions -->
	<xsd:simpleType name="NameType">
		<xsd:restriction base="xsd:string">
			<xsd:maxLength value="50" fixed="true"/>
		</xsd:restriction>
	</xsd:simpleType>
	
	<xsd:attributeGroup name="FontAttributes">
		<xsd:attribute name="FontName" default="Arial"
			type="xsd:string"/>
		<xsd:attribute name="FontStyle" default="Normal">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:enumeration value="Normal"/>
					<xsd:enumeration value="Italic"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
		<xsd:attribute name="FontDecoration" default="Normal">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:enumeration value="Normal"/>
					<xsd:enumeration value="Underline"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
		<xsd:attribute name="FontStrikethru" default="Normal">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:enumeration value="Normal"/>
					<xsd:enumeration value="Strikethru"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
		<xsd:attribute name="FontWeight" default="Normal">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:enumeration value="Normal"/>
					<xsd:enumeration value="Bold"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>
		<xsd:attribute name="FontSize" type="xsd:nonNegativeInteger"
			default="12"/>
	</xsd:attributeGroup>

	<xsd:attributeGroup name="RectAttributes">
		<xsd:attribute name="CenterX" type="xsd:float" use="required"/>
		<xsd:attribute name="CenterY" type="xsd:float" use="required"/>
		<xsd:attribute name="Width" type="gpml:Dimension" use="required" />
		<xsd:attribute name="Height" type="gpml:Dimension" use="required" />
	</xsd:attributeGroup>
	
	<!-- a rotation is either a float value or a string for each of the four right angles !-->
	<xsd:simpleType name="RotationType">
		<xsd:union>
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:enumeration value="Top"/> <!-- rotation of 0.0 !-->
					<xsd:enumeration value="Right"/> <!-- rotation of 1/2 pi !-->
					<xsd:enumeration value="Bottom"/> <!-- rotation of 1 pi !-->
					<xsd:enumeration value="Left"/> <!-- rotation of 3/2 pi !-->
				</xsd:restriction>
			</xsd:simpleType>
			<xsd:simpleType>
				<xsd:restriction base="xsd:float"/> <!-- rotation is always measured in radians !-->
			</xsd:simpleType>
		</xsd:union>
		
	</xsd:simpleType>

	<xsd:simpleType name="ColorType">
		<xsd:union>
			<xsd:simpleType>
				<xsd:restriction base="xsd:hexBinary"/>
			</xsd:simpleType>
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:enumeration value="Aqua"/>
					<xsd:enumeration value="Black"/>
					<xsd:enumeration value="Blue"/>
					<xsd:enumeration value="Fuchsia"/>
					<xsd:enumeration value="Gray"/>
					<xsd:enumeration value="Green"/>
					<xsd:enumeration value="Lime"/>
					<xsd:enumeration value="Maroon"/>
					<xsd:enumeration value="Navy"/>
					<xsd:enumeration value="Olive"/>
					<xsd:enumeration value="Purple"/>
					<xsd:enumeration value="Red"/>
					<xsd:enumeration value="Silver"/>
					<xsd:enumeration value="Teal"/>
					<xsd:enumeration value="White"/>
					<xsd:enumeration value="Yellow"/>
					<xsd:enumeration value="Transparent"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:union>
	</xsd:simpleType>

	<xsd:simpleType name="StyleType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="Solid"/>
			<xsd:enumeration value="Broken"/>
		</xsd:restriction>
	</xsd:simpleType>

	<!-- use Dimension for width and height, they can't be nagative !-->
	<xsd:simpleType name="Dimension">
		<xsd:restriction base="xsd:float">
			<xsd:minInclusive value="0" />
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="DatabaseType">
		<xsd:union>
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:maxLength value="20"/>
				</xsd:restriction>
			</xsd:simpleType>
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:enumeration value="FlyBase"/>
					<xsd:enumeration value="GenBank"/>
					<xsd:enumeration value="GeneOntology"/>
					<xsd:enumeration value="InterPro"/>
					<xsd:enumeration value="LocusLink"/>
					<xsd:enumeration value="MGI"/>
					<xsd:enumeration value="RefSeq"/>
					<xsd:enumeration value="RGD"/>
					<xsd:enumeration value="SGD"/>
					<xsd:enumeration value="SwissProt"/>
					<xsd:enumeration value="TAIR"/>
					<xsd:enumeration value="UniGene"/>
					<xsd:enumeration value="UniProt"/>
					<xsd:enumeration value="WormBase"/>
					<xsd:enumeration value="Affy"/>
					<xsd:enumeration value="ZFIN"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:union>
	</xsd:simpleType>

	<xsd:simpleType name="ObjectType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="Node"/>
			<xsd:enumeration value="Edge"/>
			<xsd:enumeration value="Annotation"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="DataNodeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="Protein"/>
			<xsd:enumeration value="Rna"/>
			<xsd:enumeration value="Complex"/>
			<xsd:enumeration value="GeneProduct"/>
			<xsd:enumeration value="Metabolite"/>
			<xsd:enumeration value="Unknown"/>
		</xsd:restriction>
	</xsd:simpleType>

	<!-- One or more comments - bundles GenMAPP notes and GenMAPP remarks together !-->
	<!-- plus one or more publications !-->
	<xsd:group name="CommentGroup">
		<xsd:sequence>
			<xsd:element name="Comment" minOccurs="0"
			maxOccurs="unbounded">
				<xsd:complexType>
					<xsd:simpleContent>
						<xsd:extension base="xsd:string">
							<xsd:attribute name="Source" type="xsd:string"/>
						</xsd:extension>
					</xsd:simpleContent>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="PublicationXref" minOccurs="0" maxOccurs="unbounded">
				<xsd:complexType>
					<xsd:attribute name="ID" type="xsd:string" use="required"/>
					<xsd:attribute name="Database" type="xsd:string" use="required"/>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="BiopaxRef" minOccurs="0" maxOccurs="unbounded"/>		
			<xsd:element name="Attribute" minOccurs="0"
			maxOccurs="unbounded">
				<xsd:complexType>
					<xsd:attribute name="Key" type="xsd:string" use="required"/>
					<xsd:attribute name="Value" type="xsd:string" use="required"/>
				</xsd:complexType>
			</xsd:element>
		</xsd:sequence>
	</xsd:group>
	
<!-- End: Type Definitions -->

<!-- Pathway -->
	<xsd:element name="Pathway">
		<xsd:complexType>
			<xsd:sequence>

				<xsd:group ref="gpml:CommentGroup"/>
				
				<xsd:element name="Graphics" minOccurs="0" maxOccurs="1">
					<xsd:complexType>
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Pathway graphics describe
								the coordinates of the GenMAPP drawing board, and Map
								Information Area.</xsd:documentation>
						</xsd:annotation>
						<xsd:attribute name="BoardWidth" type="gpml:Dimension"
							use="required"/>
						<xsd:attribute name="BoardHeight" type="gpml:Dimension"
							use="required"/>
						<!-- windowwidth and windowheight are only
						for compatibilty with GenMAPP, not used by Pathvisio !-->
						<xsd:attribute name="WindowWidth" type="gpml:Dimension"
							use="optional" default="18000"/>
						<xsd:attribute name="WindowHeight" type="gpml:Dimension"
							use="optional" default="12000"/>
						<!-- TODO: I suspect these below aren't used for anything -->
					</xsd:complexType>
				</xsd:element>

				<xsd:element ref="gpml:DataNode" minOccurs="0" maxOccurs="unbounded"/>

				<xsd:element ref="gpml:State" minOccurs="0" maxOccurs="unbounded"/>

				<xsd:element ref="gpml:Line" minOccurs="0" maxOccurs="unbounded"/>

				<xsd:element ref="gpml:Label" minOccurs="0" maxOccurs="unbounded"/>

				<xsd:element ref="gpml:Shape" minOccurs="0" maxOccurs="unbounded"/>

				<xsd:element ref="gpml:Group" minOccurs="0" maxOccurs="unbounded"/>

				<xsd:element ref="gpml:InfoBox" minOccurs="1" maxOccurs="1" />
				
				<xsd:element ref="gpml:Legend" minOccurs="0" maxOccurs="1"/>

				<xsd:element ref="gpml:Biopax" minOccurs="0" maxOccurs="1"/>
			</xsd:sequence>

			<xsd:attribute name="Name" type="gpml:NameType" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">GenMAPP Pathway
						Title</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>

			<xsd:attribute name="Organism" type="xsd:string" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Organism is not a field in the
						GenMAPP database at this time, but we want to preserve this
						information when importing maps, and also when exporting maps.
						GenMAPP maps have the organism implied from the
						filename.</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>

			<xsd:attribute name="Data-Source" type="xsd:string" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">On import to GenMAPP,
						Data-Source value could be 'KEGG', 'Cytoscape', etc.  On export
						from GenMAPP, value should be 'GenMAPP' with version
						number.</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>

			<xsd:attribute name="Version" type="xsd:string" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">GenMAPP version, use for export
						of maps from GenMAPP only.</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>

			<xsd:attribute name="Author" type="xsd:string" use="optional"/>

			<xsd:attribute name="Maintainer" type="xsd:string" use="optional"/>

			<xsd:attribute name="Email" type="xsd:string" use="optional"/>

			<xsd:attribute name="License" type="xsd:string" use="optional"/>

			<xsd:attribute name="Copyright" type="xsd:string" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Copyright
						Information</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>

			<xsd:attribute name="Last-Modified" type="xsd:string" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Last modification date by
						GenMAPP.  Use only when exporting GenMAPP
						maps.</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>

			<xsd:attribute name="BiopaxRef" type="xsd:string" use="optional" />

		</xsd:complexType>
	</xsd:element>
<!-- End: Pathway -->


<!-- Data Node -->
	<xsd:element name="DataNode">

		<xsd:annotation>
			<xsd:documentation xml:lang="en">DataNode is the old GeneProduct, a gene in GenMAPP
				terminology.</xsd:documentation>
		</xsd:annotation>

		<xsd:complexType>

			<xsd:sequence>

				<xsd:group ref="gpml:CommentGroup"/>
				
				<xsd:element name="Graphics" minOccurs="1" maxOccurs="1">
					<xsd:complexType>
						<xsd:attributeGroup ref="gpml:RectAttributes"/>
						<xsd:attribute name="Color" type="gpml:ColorType"/>
						<xsd:attribute name="ZOrder"
							type="xsd:integer" use="optional"/>
					</xsd:complexType>
				</xsd:element>
				<xsd:element name="Xref" minOccurs="1" maxOccurs="1">
					<xsd:complexType>
						<xsd:attribute name="Database" type="gpml:DatabaseType" use="required"/>
						<xsd:attribute name="ID" type="gpml:NameType" use="required"/>						
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			
			<xsd:attribute name="BiopaxRef" type="xsd:string" use="optional" />
            <xsd:attribute name="GraphId" type="xsd:ID" use="optional" />
            <xsd:attribute name="GroupRef" type="xsd:string" use="optional" />
			<xsd:attribute name="ObjectType" type="gpml:ObjectType" default="Annotation" />
			
			<xsd:attribute name="TextLabel" use="required" type="xsd:string"/>
		
			<xsd:attribute name="BackpageHead" type="xsd:string"
				use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">GenMAPP Backpage
						Header</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>

			<!-- corresponds to xref column in genmapp. depracated !-->
			<xsd:attribute name="GenMAPP-Xref" type="xsd:string" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">GenMAPP
						Links</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>

			<xsd:attribute name="Type" type="gpml:DataNodeType" default="Unknown">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">There is not a correlary
					field in GenMAPP mapp files which contains this information,
					and ther is no clear determiner.</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>

		</xsd:complexType>

	</xsd:element>
<!-- End: DataNode -->

<!-- State -->
	<xsd:element name="State">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:group ref="gpml:CommentGroup"/>
				<xsd:element name="Graphics" minOccurs="1" maxOccurs="1">
					<xsd:complexType>
						<xsd:attribute name="relX" type="xsd:float" use="required"/>
						<xsd:attribute name="relY" type="xsd:float" use="required"/>
						<xsd:attribute name="Width" type="gpml:Dimension" use="required" />
						<xsd:attribute name="Height" type="gpml:Dimension" use="required" />
						<xsd:attribute name="Color" type="gpml:ColorType"/>
						<xsd:attribute name="FillColor" type="gpml:ColorType"/>
					</xsd:complexType>
				</xsd:element>
				<xsd:element name="Xref" minOccurs="0" maxOccurs="1">
					<xsd:complexType>
						<xsd:attribute name="Database" type="gpml:DatabaseType" use="required"/>
						<xsd:attribute name="ID" type="gpml:NameType" use="required"/>						
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			
			<xsd:attribute name="BiopaxRef" type="xsd:string" use="optional" />
            <xsd:attribute name="GraphId" type="xsd:ID" use="optional" />
			<xsd:attribute name="GraphRef" type="xsd:IDREF" use="optional" />
			<xsd:attribute name="Style" type="gpml:StyleType" default="Solid" />
			
			<xsd:attribute name="TextLabel" use="required" type="xsd:string"/>
		
			<xsd:attribute name="StateType" type="xsd:string" default="Unknown"/>
			<!-- Biological modification type. suggested values: Phosphorylated, Glycosylated, Activated, ... !-->

			<xsd:attribute name="ShapeType" type="xsd:string" use="required"/>

		</xsd:complexType>

	</xsd:element>
<!-- End: State -->

<!-- Line -->
	<xsd:element name="Line">

		<xsd:complexType>

			<xsd:sequence>

				<xsd:group ref="gpml:CommentGroup" />

				<xsd:element name="Graphics" minOccurs="1"
					maxOccurs="1">
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="Point" minOccurs="2"
								maxOccurs="unbounded">
								<xsd:complexType>
									<xsd:attribute name="x"
										type="xsd:float" use="required" />
									<xsd:attribute name="y"
										type="xsd:float" use="required" />
									<!-- relX and relY are the coordinates used when
									a point is linked to another object (when GraphRef
									is defined). They represent he coordinates of the 
									point relative to the object that it's linked to, where
									0,0 lies at the center of the object and 1,1 at the bottom-right
									corner -->
									<xsd:attribute name="relX"
										type="xsd:float" use="optional" />
									<xsd:attribute name="relY"
										type="xsd:float" use="optional" />
									<xsd:attribute name="GraphRef"
										type="xsd:IDREF" use="optional" />
									<xsd:attribute name="GraphId"
										type="xsd:ID" use="optional" />
									<!-- Note: technically points in the middle can have a head,
										but this will be ignored for most types.
										!-->
									<xsd:attribute name="ArrowHead"
										default="Line" type="xsd:string" />

									<!-- the "Head" attribute is
										deprecated! Use the ArrowHead
										attribute instead.  Due to a
										stupid bug in PathVisio, the head
										attribute was stored on the wrong
										point.  To remain backwards
										compatible, a head attribute read
										from the first point is stored on
										the second point.  !-->

									<xsd:attribute name="Head"
										default="Line" type="xsd:string" />
									<!--
										Head Type is no longer restricted.
										However, if you care about compatibility with GenMAPP
										you should only use the shapes below
										
										<xsd:restriction base="xsd:string">
										<xsd:enumeration value="Line"/>
										<xsd:enumeration value="Arrow"/>
										<xsd:enumeration value="Receptor"/>
										<xsd:enumeration value="ReceptorRound"/>
										<xsd:enumeration value="ReceptorSquare"/>
										<xsd:enumeration value="LigandRound"/>
										<xsd:enumeration value="LigandSquare"/>
										<xsd:enumeration value="TBar"/>
										</xsd:restriction>
										!-->
								</xsd:complexType>
							</xsd:element>
							<xsd:element name="Anchor" minOccurs="0" maxOccurs="unbounded">
								<xsd:complexType>
									<xsd:attribute name="position"
										type="xsd:float" use="required" />
									<xsd:attribute name="GraphId"
										type="xsd:ID" use="optional" />
									<xsd:attribute name="Shape"
										default="ReceptorRound" type="xsd:string" />
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="Color"
							type="gpml:ColorType" default="Black" />
						<xsd:attribute name="ConnectorType"
							type="xsd:string" use="optional" default="Straight"/>
						<xsd:attribute name="ZOrder"
							type="xsd:integer" use="optional"/>
					</xsd:complexType>
				</xsd:element>

			</xsd:sequence>

			<xsd:attribute name="Style" type="gpml:StyleType"
				default="Solid" />

			<xsd:attribute name="GroupRef" type="xsd:string"
				use="optional" />
			<xsd:attribute name="BiopaxRef" type="xsd:string"
				use="optional" />

			<xsd:attribute name="GraphId" type="xsd:ID" use="optional" />
		</xsd:complexType>

	</xsd:element>
<!-- End: Line -->

<!-- Label -->
	<xsd:element name="Label">

		<xsd:complexType>
			<xsd:annotation>
				<xsd:documentation xml:lang="en">This is text on a GenMAPP map that
					can have associated comments.</xsd:documentation>
			</xsd:annotation>

			<xsd:sequence>

				<xsd:group ref="gpml:CommentGroup"/>

				<xsd:element name="Graphics" minOccurs="1" maxOccurs="1">
					<xsd:complexType>
						<xsd:attributeGroup ref="gpml:RectAttributes"/>
						<xsd:attribute name="Color" use="optional"
							type="gpml:ColorType"/>
						<xsd:attributeGroup ref="gpml:FontAttributes" />
						<xsd:attribute name="ZOrder"
							type="xsd:integer" use="optional"/>
					</xsd:complexType>
				</xsd:element>

			</xsd:sequence>
			
			<!-- for a reference to a url !-->
			<xsd:attribute name="Href" use="optional" type="xsd:string" />
			<!-- for a reference to a Stable pathway ID on wikipathways !-->
			<xsd:attribute name="PathwayRef" use="optional" type="xsd:string" />
			
			<xsd:attribute name="BiopaxRef" type="xsd:string" use="optional" />
			<xsd:attribute name="GraphId" type="xsd:ID" use="optional" />
			<xsd:attribute name="GroupRef" type="xsd:string" use="optional" />
			<xsd:attribute name="ObjectType" type="gpml:ObjectType" default="Annotation" />

			<xsd:attribute name="Outline" default="None">
			    <xsd:simpleType>
				    <xsd:restriction base="xsd:string">
					    <xsd:enumeration value="None"/>
						<xsd:enumeration value="Rectangle"/>
						<xsd:enumeration value="RoundedRectangle"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>

			<xsd:attribute name="TextLabel" use="required" type="xsd:string"/>
			<!-- Xref is deprecated, to avoid confusion with the Xref tag. Use GenMapp-Xref for pathways converted from GenMAPP -->
			<!-- Left in here for backwards compatibility -->
			<xsd:attribute name="Xref" type="xsd:string" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">GenMAPP
						Links</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			
			<xsd:attribute name="GenMAPP-Xref" type="xsd:string" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">GenMAPP
						Links</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			
		</xsd:complexType>

	</xsd:element>
<!-- End: Label -->

<!-- Shape -->
	<xsd:element name="Shape">

		<xsd:complexType>
			<xsd:annotation>
				<xsd:documentation xml:lang="en">FIXME: No comments for
					now</xsd:documentation>
			</xsd:annotation>

			<xsd:sequence>

				<xsd:group ref="gpml:CommentGroup"/>

				<xsd:element name="Graphics" minOccurs="1" maxOccurs="1">
					<xsd:complexType>
						<xsd:attributeGroup ref="gpml:RectAttributes"/>
						<xsd:attribute name="Color" type="gpml:ColorType" default="Black" />
						<xsd:attribute name="Rotation" type="gpml:RotationType" default="Top" />
						<xsd:attribute name="FillColor" type="gpml:ColorType" default="Transparent"/>
						<xsd:attribute name="ZOrder"
							type="xsd:integer" use="optional"/>
					</xsd:complexType>
				</xsd:element>

			</xsd:sequence>

			<xsd:attribute name="Type" use="required" type="xsd:string">
			<!--
				Shape Type is no longer restricted.
				However, if you care about compatibility with GenMAPP
				you should only use the shapes below
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="Rectangle"/>
						<xsd:enumeration value="Arc"/>
						<xsd:enumeration value="Oval"/>
						<xsd:enumeration value="Brace"/>
						<xsd:enumeration value="Hexagon"/>
						<xsd:enumeration value="Pentagon"/>
						<xsd:enumeration value="Triangle"/>
						<xsd:enumeration value="Vesicle"/>
						<xsd:enumeration value="ProteinComplex"/>
						<xsd:enumeration value="OrganA"/>
						<xsd:enumeration value="OrganB"/>
						<xsd:enumeration value="OrganC"/>
						<xsd:enumeration value="Ribosome"/>
						<xsd:enumeration value="CellA"/>
					</xsd:restriction>
				</xsd:simpleType>
				!-->
			</xsd:attribute>
			
			<xsd:attribute name="BiopaxRef" type="xsd:string" use="optional" />
			<xsd:attribute name="GraphId" type="xsd:ID" use="optional" />
			<xsd:attribute name="GroupRef" type="xsd:string" use="optional" />
			<xsd:attribute name="ObjectType" type="gpml:ObjectType" default="Annotation" />
			<xsd:attribute name="Style" type="gpml:StyleType" default="Solid"/>

		</xsd:complexType>

	</xsd:element>
<!-- End: Shape -->

<!-- Group -->

	<xsd:element name="Group">	
		<xsd:complexType>
			<xsd:sequence>
				<xsd:group ref="gpml:CommentGroup" />
			</xsd:sequence>
			<xsd:attribute name="BiopaxRef" type="xsd:string"
				use="optional" />
			<xsd:attribute name="GroupId" type="xsd:string" use="required" />
			<xsd:attribute name="GroupRef" type="xsd:string"
				use="optional" />
			<xsd:attribute name="Style" type="xsd:string" default="None" />
			<xsd:attribute name="TextLabel" type="xsd:string"
				use="optional" />
			<xsd:attribute name="GraphId" type="xsd:ID" use="optional" />
		</xsd:complexType>
	</xsd:element>

<!-- InfoBox -->
	<xsd:element name="InfoBox">

		<xsd:annotation>
			<xsd:documentation xml:lang="en">InfoBox element holds the
			coordinates on the GenMAPP layout where the Information kept in the
			Info table will be displayed in the mapp.</xsd:documentation>
		</xsd:annotation>
	
		<xsd:complexType>
			<xsd:attribute name="CenterX" type="xsd:float" use="required"/>
			<xsd:attribute name="CenterY" type="xsd:float" use="required"/>
		</xsd:complexType>
	</xsd:element>
<!-- End: InfoBox -->

<!-- Legend -->
	<xsd:element name="Legend">	
		<xsd:complexType>
			<xsd:attribute name="CenterX" type="xsd:float" use="required"/>
			<xsd:attribute name="CenterY" type="xsd:float" use="required"/>
		</xsd:complexType>
	</xsd:element>
<!-- End: Legend -->

<!-- Biopax -->
	<xsd:element name="Biopax">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:any namespace="http://www.biopax.org/release/biopax-level2.owl#"
					processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
<!-- End: Biopax -->

</xsd:schema>
